%define upstream_name    Class-Throwable
%define upstream_version 0.13

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    A minimal lightweight exception class
License:    Artistic/GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util) >= 1.100.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildArch:  noarch

%global __provides_exclude ^perl\\((DB|TestException)\\)

%description
This module implements a minimal lightweight exception object. It is meant to
be a compromise between more basic solutions like Carp which can only print
information and cannot handle exception objects, and more more complex
solutions like Exception::Class which can be used to define complex inline
exceptions and has a number of module dependencies.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make


%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/*/*
%{perl_vendorlib}/Class/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jul 11 2017 bb2 <bb2> - 0.130.0-4pclos2017
- rebuild against updates

